Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.rwi
Interface RwiMember

public interface RwiMember
extends RwiElement

`RwiMember` represents member-like model elements, for example an operation or an attribute. Members can be pasted into `RwiContainter` elements:

     RwiElement justCutMember=someRwiMember.cut();
     someNode.paste(justCutMember,null,true);

Members representing operations can be distinguished from members representing attributes using `RwiProperty.SHAPE_TYPE` property. For example:

     if (RwiShapeType.OPERATION.equals(someRwiMember.getProperty(RwiProperty.SHAPE_TYPE))) {
        ...  // it is an operation
     } else if (RwiShapeType.ATTRIBUTE.equals(someRwiMember.getProperty(RwiProperty.SHAPE_TYPE))) {
          ...  // it is an attribute
     }

Author:
  TogetherSoft
See Also: RwiNode, RwiProperty.SHAPE_TYPE, RwiShapeType

Method Summary
`RwiNode` | `getContainingNode()` Returns containing node for this nember.

Methods inherited from interface com.togethersoft.openapi.rwi.RwiElement
`accept, canCreateIncomingLink, canCreateOutgoingLink, canCreateOutgoingLink, canCreateOutgoingLinkByPattern, canCut, canDelete, codeElements, copy, createOutgoingLink, createOutgoingLinkByPattern, cut, delete, getCodeElement, getTimeStamp, getUniqueName, isDeleted, outgoingLinks`

Methods inherited from interface com.togethersoft.openapi.rwi.RwiPropertyMap
`addProperty, canAddProperty, canSetProperty, canSetProperty, getProperty, hasProperty, isPropertyReadable, isPropertyWritable, properties, properties, setProperty, setProperty`

Method Detail

### getContainingNode

    public RwiNode getContainingNode()

  Returns containing node for this nember. Each `RwiMember` belongs to one `RwiNode`.
  Returns: containing node for this nember

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD